﻿using System.Windows;
using Unclassified.UI;

namespace ViewCommandExample.View
{
	public partial class MainWindow : Window
	{
		#region Static constructor

		static MainWindow()
		{
			// Override the DataContextProperty metadata to add a new value changed handler.
			ViewCommandManager.SetupMetadata<MainWindow>();
		}

		#endregion Static constructor

		#region Constructors

		/// <summary>
		/// Initialises a new instance of the MainWindow class.
		/// </summary>
		public MainWindow()
		{
			InitializeComponent();
		}

		#endregion Constructors

		#region View commands

		/// <summary>
		/// Focuses the Add button.
		/// </summary>
		[ViewCommand]
		public void FocusAdd()
		{
			AddButton.Focus();
		}

		/// <summary>
		/// Focuses the list control and selects and scrolls to the last item.
		/// </summary>
		[ViewCommand]
		public void FocusList()
		{
			MyList.SelectedIndex = MyList.Items.Count - 1;
			MyList.ScrollIntoView(MyList.SelectedItem);
			MyList.Focus();
		}

		#endregion View commands
	}
}
